( function($){

	var  ajax_url = WanotifLog.ajax_url;

	function refresh_table() {
		$.ajax({
			url: ajax_url,
			type: 'POST',
			data: {
				action: 'log_request_load_data',
				data: {
					secure_key: WanotifLog.ajax_loadData
				}
			},
			success: function (data) {
				$('.table-log > tbody').html('');

				$.each($.parseJSON(data), function(key,value){

					// generate some result to human word.
					log_status = 'sended';
					log_status_row = "class=''";
					
					if ( value.log_status == 0 ){
						log_status = 'failed';
						log_status_row = "class='fail'";
					}

					var generate_row = "<tr "+ log_status_row  +" >";
					generate_row += "<td>" + value.log_id + "</td>";
					generate_row += "<td>" + value.log_post_id + "</td>";
					generate_row += "<td>" + log_status + "</td>";
					generate_row += "<td>" + value.log_reason + "</td>";
					generate_row += "<td>" + value.log_phone_number + "</td>";
					generate_row += "<td>" + value.log_message + "</td>";
					generate_row += "<td>" + value.log_error_code + "</td>";
					generate_row += "<td>" + value.date_created + "</td>";
					$('.table-log > tbody').append(generate_row);
				});
			}
		});
	};


	refresh_table();

})(jQuery)