<?php
/**
 * Wanotif-woocommerce for custom shortcode.
 *
 * @link   https://wanotif.id
 * @since   0.4.0
 *
 * @package    Wanotif_Woocommerce
 * @subpackage Wanotif_Woocommerce/admin/partials
 */

?>

<h2>Custom Shortcode</h2>

<div id="app-custom-shortcode">

	<div class="app-form-shortcode">
		<input type="hidden" name="input-shortcode-id" id="input-shortcode-id" value="">
		<p class="form-input-list">
			<label for="input-shortcode-title">title / slug</label>
			<input type="text" class="input" id="input-shortcode-title" name="input-shortcode-title">
		</p>
		<p class="form-input-list">
			<label for="input-shortcode-message">Message</label>
			<div class="form-wa-followup">
				<div class="lead emoji-picker-container">
					<ul class="toolbar-emoji-text-formater" target-data="input-shortcode-message">
						<li> <a href="" data-action='["bold",false,null]' title="Bold" style='font-weight:bold'>B</a></li>
						<li> <a href="" data-action='["italic",false,null]' title="Italic" style='font-style: italic'>I</a></li>
						<li> <a href="" data-action='["strikeThrough",false,null]' title="strike" style="text-decoration: line-through;">Strike</a></li>
					</ul>
					<div id="input-shortcode-message" name="input-shortcode-message" class="input-shortcode-message" contenteditable="true" data-emojiable="true" data-emoji-input="unicode"></div>
				</div>
		</div>
		</p>
		<p class="form-input-list">
			<label for="input-shortcode-description">Description</label>
			<textarea class="input" id="input-shortcode-description" name="input-shortcode-description"></textarea>
		</p>

		<p class="form-input-list">
			<button id="submit-input" class="button button-primary">Save</button>
			<button id="reset-input" class="button button-primary">Reset</button>
		</p>
	</div>

	<div class="list-shortcode">
		<table class="table-shortcode">
			<thead>
				<th>ID</th>
				<th>Slug</th>
				<th>description</th>
				<th>Action</th>
			</thead>
			<tbody>
				<!--
				<tr sh-id="1">
					<td>1</td>
					<td>[wanotif slug='bayar']</td>
					<td>Silahkan lakukan pembayaran via...</td>
					<td><button class="send-to-edit">Edit</button></td>
				</tr>
				 -->
			</tbody>
		</table>
	</div>

</div>
