<?php
/**
 * Fired during plugin deactivation
 *
 * @link       https://wanotif.id
 * @since      0.1.0
 *
 * @package    Wanotif_Woocommerce
 * @subpackage Wanotif_Woocommerce/includes
 */

/**
 * Fired during plugin deactivation.
 *
 * This class defines all code necessary to run during the plugin's deactivation.
 *
 * @since      0.1.0
 * @package    Wanotif_Woocommerce
 * @subpackage Wanotif_Woocommerce/includes
 * @author     Wanotif <wanotif.official@gmail.com>
 */
class Wanotif_Woocommerce_Deactivator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    0.1.0
	 */
	public static function deactivate() {

	}

	/**
	 * Unregister the autochange order status wanotif.
	 *
	 * @since 1.0.0
	 */
	public static function wanotif_unregister_reminder_buyer() {
		wp_clear_scheduled_hook( 'wanotif_reminder_buyer' );
	}

}
